<?php
// Version: 1.0: DBR.php

if (!defined('SMF'))
	die('Hacking attempt...');

function dbr_integrate_admin_areas(&$admin_areas)
{
	global $txt;

	loadLanguage('DBR');
	$admin_areas['config']['areas']['modsettings']['subsections']['dbr'] = array($txt['dbr_title']);
}

function dbr_integrate_modify_modifications(&$sub_actions)
{
	$sub_actions['dbr'] = 'ModifydbrSettings';
}

function dbr_integrate_exit($do_footer_and_not_wireless)
{
	global $modSettings;

	if (!empty($modSettings['dbr_enabled']) && !empty($modSettings['dbr_board']))
	{
		$dbr_board = $modSettings['dbr_board'];
		$URL = explode('?', $_SERVER['REQUEST_URI']);

		if (empty($URL[1]))
			redirectexit('board=' . $dbr_board . '.0');
	}
}

function ModifydbrSettings($return_config = false)
{
	global $txt, $scripturl, $context, $smcFunc;

	$request = $smcFunc['db_query']('order_by_board_order', '
		SELECT b.id_board, b.name AS board_name, c.name AS cat_name
		FROM {db_prefix}boards AS b
			LEFT JOIN {db_prefix}categories AS c ON (c.id_cat = b.id_cat)
		WHERE redirect = {string:empty_string}',
		array(
			'empty_string' => '',
		)
	);
	$boards = array($txt['dbr_board_none']);
	while ($row = $smcFunc['db_fetch_assoc']($request))
		$boards[$row['id_board']] = $row['cat_name'] . ' - ' . $row['board_name'];

	$config_vars = array(
		array('check', 'dbr_enabled'),
		array('select', 'dbr_board', $boards),
	);


	if ($return_config)
		return $config_vars;

	if (isset($_GET['save']))
	{
		checkSession();

		saveDBSettings($config_vars);
		writeLog();

		redirectexit('action=admin;area=modsettings;sa=dbr');
	}

	$context['post_url'] = $scripturl . '?action=admin;area=modsettings;save;sa=dbr';
	$context['settings_title'] = $txt['dbr_title'];

	prepareDBSettingContext($config_vars);
}

?>